#ifndef GTKMM_NAME_DIALOG_H_
#define GTKMM_NAME_DIALOG_H_

#include <gtkmm.h>

class ConfirmDialog : public Gtk::Window {
public:
  ConfirmDialog();
  ~ConfirmDialog() override;

  void
  buttons_clicked_connect(const sigc::slot<void(const Glib::ustring &)> &slot);
  Glib::ustring get_entry1() const;

protected:
  // Member widgets:
  Gtk::Grid c_Grid;
  Gtk::Image c_Image;
  Gtk::Label c_Label1;
  Gtk::Entry c_Entry1;
  Gtk::Box c_ButtonBox;
  Gtk::Button c_Button_OK;
  Gtk::Button c_Button_Cancel;
};

#endif /* GTKMM_NAME_DIALOG_H_ */